Bug 445544 - Refactor Satellite installer not to use bootstrap directory at all
Refactor Satellite installer not to use bootstrap directory at all
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
high Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-05-07 10:50 EDT by Jan Pazdziora
Modified: 2008-11-05 13:40 EST (History)
1 user (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:40:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-05-07 10:50:05 EDT
Description of problem:

The Satellite installer consists of two parts: install.pl and
install/install_main.pl. The first script installs packages from the bootstrap/
directory on the ISO, to provide Perl modules that the second scripts uses, and
then execs the second script.

The second script needs some packages which can be found in RHEL but are not in
the @base group. We could have installed them via the rhelrpms mechanism but
this installation only takes place in the second script.

The goal of the refactoring is that any packages needed by the second script are
installed via the rhelrpms process, which will make bootstrap/ obsolete.

Version-Release number of selected component (if applicable):

Satellite 5.1.0 uses bootstrap/, and so do many versions before that.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Get Satellite ISO, mount it, cd to it.
2. Do ls -d bootstrap.
  
Actual results:

bootstrap

Expected results:

ls: bootstrap: No such file or directory

Additional info:
Comment 1 Jan Pazdziora 2008-05-07 17:55:17 EDT
Commits in trunk, revisions 172247 to 172272.
Comment 2 Jan Pazdziora 2008-05-21 15:36:42 EDT
This really is a 5.2.0 feature.
Comment 3 Michael Mráka 2008-07-24 05:24:46 EDT
Ported to RELEASE-5.2, r175295 to r175332.
Comment 4 Brad Buckingham 2008-08-13 12:52:17 EDT
Mass move to ON_QA.
Comment 6 Jeff Browning 2008-10-22 13:21:05 EDT
[root@fjs-0-01 iso]# ls -d bootstrap
ls: bootstrap: No such file or directory

Verified
Comment 7 Brandon Perkins 2008-11-05 13:40:09 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.